Kea: isc::eval::EvalParser::symbol_kind Struct Reference

| Kea 2.2.0

Public Types | List of all members
isc::eval::EvalParser::symbol_kind Struct Reference

Symbol kinds. More...

`#include <parser.h>`

## Public Types
enum | symbol_kind_type { YYNTOKENS = 64 , S_YYEMPTY = -2 , S_YYEOF = 0 , S_YYerror = 1 , S_YYUNDEF = 2 , S_LPAREN = 3 , S_RPAREN = 4 , S_NOT = 5 , S_AND = 6 , S_OR = 7 , S_EQUAL = 8 , S_OPTION = 9 , S_RELAY4 = 10 , S_RELAY6 = 11 , S_MEMBER = 12 , S_PEERADDR = 13 , S_LINKADDR = 14 , S_LBRACKET = 15 , S_RBRACKET = 16 , S_DOT = 17 , S_TEXT = 18 , S_HEX = 19 , S_EXISTS = 20 , S_PKT = 21 , S_IFACE = 22 , S_SRC = 23 , S_DST = 24 , S_LEN = 25 , S_PKT4 = 26 , S_CHADDR = 27 , S_HLEN = 28 , S_HTYPE = 29 , S_CIADDR = 30 , S_GIADDR = 31 , S_YIADDR = 32 , S_SIADDR = 33 , S_SUBSTRING = 34 , S_SPLIT = 35 , S_ALL = 36 , S_COMA = 37 , S_CONCAT = 38 , S_PLUS = 39 , S_IFELSE = 40 , S_TOHEXSTRING = 41 , S_ADDRTOTEXT = 42 , S_INT8TOTEXT = 43 , S_INT16TOTEXT = 44 , S_INT32TOTEXT = 45 , S_UINT8TOTEXT = 46 , S_UINT16TOTEXT = 47 , S_UINT32TOTEXT = 48 , S_PKT6 = 49 , S_MSGTYPE = 50 , S_TRANSID = 51 , S_VENDOR_CLASS = 52 , S_VENDOR = 53 , S_ANY = 54 , S_DATA = 55 , S_ENTERPRISE = 56 , S_TOPLEVEL_BOOL = 57 , S_TOPLEVEL_STRING = 58 , S_STRING = 59 , S_INTEGER = 60 , S_HEXSTRING = 61 , S_OPTION_NAME = 62 , S_IP_ADDRESS = 63 , S_YYACCEPT = 64 , S_start = 65 , S_expression = 66 , S_bool_expr = 67 , S_string_expr = 68 , S_integer_expr = 69 , S_option_code = 70 , S_sub_option_code = 71 , S_option_repr_type = 72 , S_nest_level = 73 , S_pkt_metadata = 74 , S_enterprise_id = 75 , S_pkt4_field = 76 , S_pkt6_field = 77 , S_relay6_field = 78 , S_start_expr = 79 , S_length_expr = 80 , S_int_expr = 81 }

## Detailed Description

Symbol kinds.

Definition at line 584 of file parser.h.

## Member Enumeration Documentation

## ◆ symbol_kind_type

enum isc::eval::EvalParser::symbol_kind::symbol_kind_type

Enumerator
YYNTOKENS | Number of tokens.
S_YYEMPTY |
S_YYEOF |
S_YYerror |
S_YYUNDEF |
S_LPAREN |
S_RPAREN |
S_NOT |
S_AND |
S_OR |
S_EQUAL |
S_OPTION |
S_RELAY4 |
S_RELAY6 |
S_MEMBER |
S_PEERADDR |
S_LINKADDR |
S_LBRACKET |
S_RBRACKET |
S_DOT |
S_TEXT |
S_HEX |
S_EXISTS |
S_PKT |
S_IFACE |
S_SRC |
S_DST |
S_LEN |
S_PKT4 |
S_CHADDR |
S_HLEN |
S_HTYPE |
S_CIADDR |
S_GIADDR |
S_YIADDR |
S_SIADDR |
S_SUBSTRING |
S_SPLIT |
S_ALL |
S_COMA |
S_CONCAT |
S_PLUS |
S_IFELSE |
S_TOHEXSTRING |
S_ADDRTOTEXT |
S_INT8TOTEXT |
S_INT16TOTEXT |
S_INT32TOTEXT |
S_UINT8TOTEXT |
S_UINT16TOTEXT |
S_UINT32TOTEXT |
S_PKT6 |
S_MSGTYPE |
S_TRANSID |
S_VENDOR_CLASS |
S_VENDOR |
S_ANY |
S_DATA |
S_ENTERPRISE |
S_TOPLEVEL_BOOL |
S_TOPLEVEL_STRING |
S_STRING |
S_INTEGER |
S_HEXSTRING |
S_OPTION_NAME |
S_IP_ADDRESS |
S_YYACCEPT |
S_start |
S_expression |
S_bool_expr |
S_string_expr |
S_integer_expr |
S_option_code |
S_sub_option_code |
S_option_repr_type |
S_nest_level |
S_pkt_metadata |
S_enterprise_id |
S_pkt4_field |
S_pkt6_field |
S_relay6_field |
S_start_expr |
S_length_expr |
S_int_expr |

Definition at line 586 of file parser.h.

The documentation for this struct was generated from the following file:

- parser.h